AzureSets Update - Testers Needed

Eorzea Time
 
 
 
Language: JP EN FR DE
Version 3.1
New Items
users online
Forum » FFXI » Jobs » Blue Mage » AzureSets Update - Testers Needed
AzureSets Update - Testers Needed
Offline
Posts: 5
By Exclore 2020-01-26 18:17:02
Link | Quote | Reply
 
AzureSets has been an extremely useful addon for me, but the inability to set my spells as sub BLU has been a major pain as I play a lot of RUN/BLU and PLD/BLU. So I fixed it!

This version of AzureSets I'm proposing adds a lot of error handling for stuff like "Do you meet the level requirement for this spell?" and "Are you out of blue magic points/slots?", in addition to the main purpose: It is now possible to swap BLU magic spells while BLU is your sub.

As I've made quite a few changes/refactors I'm asking here for some help testing the update in addition to the testing I've been able to do on my own. If you find a problem/bug/omgwtfitbrokemygame please let me know. As with all 3rd party stuff, use at your own risk etc etc. If you're already using AzureSets then there shouldn't be anything different from the current version.

Instructions for use:
1. Backup your current azureSets folder in case you want to revert back to the original.
2. Download the azureSets1-25-2.zip file from this link: https://drive.google.com/open?id=1bo2pTcqiOe_EW60F9Yg4IRIZKXceh9dR
3. Unzip and place the 'azuresets.lua' file and 'res' folder in your 'azureSets' directory in your Windower addon folder.
4. If you'd like to keep your current sets, leave the 'data' folder alone, or copy it into the new azureSets directory from your backup.

If testing goes well, I'll see if I can get this version updated in the main Windower repository.

EDIT: I immediately found a small bug. If you downloaded it already you may want the updated version above.
[+]
Offline
Posts: 139
By huttburt<3 2020-01-26 21:17:05
Link | Quote | Reply
 
Exclore said: »
AzureSets has been an extremely useful addon for me, but the inability to set my spells as sub BLU has been a major pain as I play a lot of RUN/BLU and PLD/BLU. So I fixed it!

This version of AzureSets I'm proposing adds a lot of error handling for stuff like "Do you meet the level requirement for this spell?" and "Are you out of blue magic points/slots?", in addition to the main purpose: It is now possible to swap BLU magic spells while BLU is your sub.

As I've made quite a few changes/refactors I'm asking here for some help testing the update in addition to the testing I've been able to do on my own. If you find a problem/bug/omgwtfitbrokemygame please let me know. As with all 3rd party stuff, use at your own risk etc etc. If you're already using AzureSets then there shouldn't be anything different from the current version.

Instructions for use:
1. Backup your current azureSets folder in case you want to revert back to the original.
2. Download the azureSets1-25-2.zip file from this link: https://drive.google.com/open?id=1bo2pTcqiOe_EW60F9Yg4IRIZKXceh9dR
3. Unzip and place the 'azuresets.lua' file and 'res' folder in your 'azureSets' directory in your Windower addon folder.
4. If you'd like to keep your current sets, leave the 'data' folder alone, or copy it into the new azureSets directory from your backup.

If testing goes well, I'll see if I can get this version updated in the main Windower repository.

EDIT: I immediately found a small bug. If you downloaded it already you may want the updated version above.
/blu? how many spells are there, like 5? lol
Offline
By Rubenator 2020-01-26 22:37:17
Link | Quote | Reply
 


You are obviously not an endgame tank

https://www.bg-wiki.com/bg/Quiescence:_Rune_Fencer_Guide#Subjob_Selection
[+]
 Sylph.Subadai
Offline
Server: Sylph
Game: FFXI
user: Subadai
Posts: 184
By Sylph.Subadai 2020-01-26 22:43:11
Link | Quote | Reply
 
Got an error saying "job level too low to set spell" when I try to set Cocoon on either 99 BLU or subjob.

Edit: this is with the .2 version.
Offline
Posts: 5
By Exclore 2020-01-26 22:54:45
Link | Quote | Reply
 
Sylph.Subadai said: »
Got an error saying "job level too low to set spell" when I try to set Cocoon on either 99 BLU or subjob.

Edit: this is with the .2 version.

I tried a few different variations of assigning cocoon, but wasn't able to reproduce that error with that spell. Can I ask which command you're using and how many blu magic points are used up in your set when you try to assign cocoon?
 Sylph.Subadai
Offline
Server: Sylph
Game: FFXI
user: Subadai
Posts: 184
By Sylph.Subadai 2020-01-27 00:54:16
Link | Quote | Reply
 
I have no spells set at the moment, so zero points spent. I created a set with 'asets save worksub'. Then I cleared out all spells manually and tried 'asets set worksub' to see how it works (I've never used the addon before). Here's the set:
Code
            <worksub>
                <slot01>cocoon</slot01>
                <slot02>refueling</slot02>
                <slot03>wild carrot</slot03>
                <slot04>blank gaze</slot04>
                <slot05>jettatura</slot05>
                <slot06>geist wall</slot06>
                <slot07>sheep song</slot07>
                <slot08>healing breeze</slot08>
                <slot09>stinking gas</slot09>
                <slot10>soporific</slot10>
            </worksub>

I then tried 'asets add 1 Cocoon' to see if that worked, but got the same error.

Edit: I quit and restarted FFXI and reloaded the addon, and it's working now, on main or sub BLU. I'll report back if anything else comes up.
 Ragnarok.Galiber
Offline
Server: Ragnarok
Game: FFXI
user: Galiber
Posts: 224
By Ragnarok.Galiber 2020-01-27 05:17:35
Link | Quote | Reply
 
I've personally never used /BLU on RUN, I considered it PLD only, but with Majesty and Banishga now, I honestly think /BLU doesn't have a place anymore.


Anyways, what I used to do was set main BLU and have an Azuresets called "subblu", so just type /asets set subblu and I would get my sub spells. Job change to PLD/BLU, profit.
 Siren.Itachi
Offline
Server: Siren
Game: FFXI
Posts: 1016
By Siren.Itachi 2020-01-27 08:51:06
Link | Quote | Reply
 
I still think plds best aoe hate option is /blu. Banishga's volatile/cumulative hate is based on dmg dealt(which you won't be doing dmg with) while geist wall/sheep song/etc have static values.

With banishga I'll have to pop some kind of JA or heal after tagging and god forbid if your whm heals inbetween because they will die if you have like all of the omen trash mobs on you for example.

Opening with Geist wall as first action taken against agroed mob avoids the above and your whm or hasty cleave DD will thank you for that.
[+]
Offline
Posts: 5
By Exclore 2020-01-27 18:45:08
Link | Quote | Reply
 
Sylph.Subadai said: »
Edit: I quit and restarted FFXI and reloaded the addon, and it's working now, on main or sub BLU. I'll report back if anything else comes up.

Thanks for the feedback! Looks like it wasn't loading the job level and other info properly when you first logged in (sometimes)- I've fixed this and made it so that it double checks that the relevant info is present when you issue a command.
 Asura.Superiority
Offline
Server: Asura
Game: FFXI
Posts: 24
By Asura.Superiority 2020-02-15 10:02:00
Link | Quote | Reply
 
Feedback: I used this tool to set my spells when I was pld/blu to my tanking spell set. When I swapped back to blu and tried to set my magic spell set, and I got the following error:

Quote:
Azure Sets Error: cannot set spell, ran out of blue magic points

I imagine your lua is capturing the point count somewhere, but not updating when jobs are changed? I am unsure.